Submit Missed Deposit
curl --request POST \
--url https://api.openxswitch.com/v2/swap/submit-proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteId": "QUOTE_ID",
"refId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
"transactionId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
}
'import requests
url = "https://api.openxswitch.com/v2/swap/submit-proof"
payload = {
"quoteId": "QUOTE_ID",
"refId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
"transactionId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quoteId: 'QUOTE_ID',
refId: '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4',
transactionId: '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4'
})
};
fetch('https://api.openxswitch.com/v2/swap/submit-proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openxswitch.com/v2/swap/submit-proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteId' => 'QUOTE_ID',
'refId' => '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4',
'transactionId' => '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openxswitch.com/v2/swap/submit-proof"
payload := strings.NewReader("{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openxswitch.com/v2/swap/submit-proof")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openxswitch.com/v2/swap/submit-proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"status": "confirming"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Swaps
Submit Missed Deposit
Submits missed deposit proof using a Reference ID, Quote ID, or Transaction ID to refresh order status and retrigger the execution flow.
POST
/
v2
/
swap
/
submit-proof
Submit Missed Deposit
curl --request POST \
--url https://api.openxswitch.com/v2/swap/submit-proof \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"quoteId": "QUOTE_ID",
"refId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
"transactionId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
}
'import requests
url = "https://api.openxswitch.com/v2/swap/submit-proof"
payload = {
"quoteId": "QUOTE_ID",
"refId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4",
"transactionId": "0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
quoteId: 'QUOTE_ID',
refId: '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4',
transactionId: '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4'
})
};
fetch('https://api.openxswitch.com/v2/swap/submit-proof', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openxswitch.com/v2/swap/submit-proof",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'quoteId' => 'QUOTE_ID',
'refId' => '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4',
'transactionId' => '0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openxswitch.com/v2/swap/submit-proof"
payload := strings.NewReader("{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.openxswitch.com/v2/swap/submit-proof")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openxswitch.com/v2/swap/submit-proof")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"quoteId\": \"QUOTE_ID\",\n \"refId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\",\n \"transactionId\": \"0e472f6b-336b-4d4f-87d6-4f93e4e4e4e4\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"status": "confirming"
}
}{
"statusCode": 400,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}{
"statusCode": 404,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "Cannot GET /v1/..."
}{
"statusCode": 422,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": [
"param is required"
]
}{
"statusCode": 500,
"path": "/v1/...",
"timestamp": "2025-03-13T12:34:56.789Z",
"message": "......"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=062e79ad9c4540929eec204aff020178)
.png?fit=max&auto=format&n=ML35RDblT1Ol-zJb&q=85&s=f6328956931c9664a2a070c2edb6e9b3)